Package org.apache.qpid.proton.codec.messaging

# Class FastPathMessageAnnotationsType

java.lang.Object
org.apache.qpid.proton.codec.messaging.FastPathMessageAnnotationsType

All Implemented Interfaces:
  `AMQPType<MessageAnnotations>`, `FastPathDescribedTypeConstructor<MessageAnnotations>`, `TypeConstructor<MessageAnnotations>`

public class FastPathMessageAnnotationsType extends Object implements AMQPType<MessageAnnotations>, FastPathDescribedTypeConstructor<MessageAnnotations>

## Constructor Summary

Constructors
Constructor
Description
`FastPathMessageAnnotationsType(EncoderImpl encoder)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`encodesJavaPrimitive()`
`Collection<? extends TypeEncoding<MessageAnnotations>>`
`getAllEncodings()`
`TypeEncoding<MessageAnnotations>`
`getCanonicalEncoding()`
`DecoderImpl`
`getDecoder()`
`EncoderImpl`
`getEncoder()`
`TypeEncoding<MessageAnnotations>`
`getEncoding(MessageAnnotations val)`
`Class<MessageAnnotations>`
`getTypeClass()`
`MessageAnnotations`
`readValue()`
`static void`
`register(Decoder decoder, EncoderImpl encoder)`
`void`
`skipValue()`
`void`
`write(MessageAnnotations val)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FastPathMessageAnnotationsType

public FastPathMessageAnnotationsType(EncoderImpl encoder)

## Method Details

### getEncoder

public EncoderImpl getEncoder()

### getDecoder

public DecoderImpl getDecoder()

### encodesJavaPrimitive

public boolean encodesJavaPrimitive()

Specified by:
  `encodesJavaPrimitive` in interface `TypeConstructor<MessageAnnotations>`

### getTypeClass

public Class<MessageAnnotations> getTypeClass()

Specified by:
  `getTypeClass` in interface `AMQPType<MessageAnnotations>`
Specified by:
  `getTypeClass` in interface `TypeConstructor<MessageAnnotations>`

### getEncoding

public TypeEncoding<MessageAnnotations> getEncoding(MessageAnnotations val)

Specified by:
  `getEncoding` in interface `AMQPType<MessageAnnotations>`

### getCanonicalEncoding

public TypeEncoding<MessageAnnotations> getCanonicalEncoding()

Specified by:
  `getCanonicalEncoding` in interface `AMQPType<MessageAnnotations>`

### getAllEncodings

public Collection<? extends TypeEncoding<MessageAnnotations>> getAllEncodings()

Specified by:
  `getAllEncodings` in interface `AMQPType<MessageAnnotations>`

### readValue

public MessageAnnotations readValue()

Specified by:
  `readValue` in interface `TypeConstructor<MessageAnnotations>`

### skipValue

public void skipValue()

Specified by:
  `skipValue` in interface `TypeConstructor<MessageAnnotations>`

### write

public void write(MessageAnnotations val)

Specified by:
  `write` in interface `AMQPType<MessageAnnotations>`

### register

public static void register(Decoder decoder, EncoderImpl encoder)